Skip to main content
POST
/
contacts
/
{contactId}
/
relations
Create a contact relation
curl --request POST \
  --url https://api.smokeball.com/contacts/{contactId}/relations \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json-patch+json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "relatedContactId": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
  "businessRole": "Bookkeeper"
}
'
import requests

url = "https://api.smokeball.com/contacts/{contactId}/relations"

payload = {
    "relatedContactId": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
    "businessRole": "Bookkeeper"
}
headers = {
    "x-api-key": "<api-key>",
    "Authorization": "<api-key>",
    "Content-Type": "application/json-patch+json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'x-api-key': '<api-key>',
    Authorization: '<api-key>',
    'Content-Type': 'application/json-patch+json'
  },
  body: JSON.stringify({
    relatedContactId: 'b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2',
    businessRole: 'Bookkeeper'
  })
};

fetch('https://api.smokeball.com/contacts/{contactId}/relations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "href": "<string>",
  "relation": "<string>",
  "method": "GET"
}
{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>"
}
{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>"
}
{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>"
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

contactId
string
required

Body

Unique identifier of the related contact.

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

businessRole
string | null

Business role of related contact.

Only applicable for companies (not trusts).

Example:

"Bookkeeper"

Response

When request is accepted. Returns a 'Link' object.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET